Subject: Offline Message from Guo-Chin Hung: Dear Swagtron: I ordered a swagger 8 from
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 29 May 2022 20:37:15 -0000

From: Guo-Chin Hung <[email-masked]>
Phone: +1-909-377-3999
Location: Los Angeles, United States
URL: https://swagtron.com/
Department: SwagTron

Dear Swagtron:
I ordered a swagger 8 from Amazon. In the beginning it's working but today after I turned on, the screen showed E.S (or E.5? not sure) on the lower right part of the screen (usually just numbers for the mileage). I turned off and on again, and even reset the scooter, but the acceleration throttle just couldn't work at all. Sometimes I turned on the scooter and the mileage is normal (0), but I pushed the throttle and it will accelerate for like half a second and the screen is showing E.S(or E.5) again. And it couldn't work. I can't find anything related to this issue in the manual, I wonder what I should do now. Sorry to bother you. Have a great day.

----
Zopim
https://www.zopim.com